dense-linear-algebra-0.1.0.0: Simple and incomplete pure haskell implementation of linear algebra

Safe Haskell | Safe-Inferred
Language | Haskell2010

Statistics.Matrix.Function

Synopsis

- square :: Double -> Double
- for :: Monad m => Int -> Int -> (Int -> m ()) -> m ()

# Documentation

square :: Double -> Double Source #

Multiply a number by itself.

for :: Monad m => Int -> Int -> (Int -> m ()) -> m () Source #

Simple for loop. Counts from start to end-1.